VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
END
Attribute VB_Name = "QFilterLinkType"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = False
Option Explicit

Private linkType_ As TQueryLink

Public Function Init(theType As TQueryLink)
  linkType_ = theType
End Function

Public Function CheckLink(aLink As IteratorLinkAll) As Boolean
  Select Case linkType_
    Case T_QL_ALL: CheckLink = True
    Case T_QL_ASPECT: CheckLink = aLink.LType = T_LINK_ASPECT
    Case T_QL_DEFINITION: CheckLink = aLink.LType = T_LINK_DEFINITION
    Case T_QL_FOUND: CheckLink = aLink.LType = T_LINK_FOUNDATION
    Case T_QL_TBA: CheckLink = aLink.LType = T_LINK_DEFAULT
  End Select
End Function
